/*
 * Licensed Materials - Property of IBM
 * Restricted Materials of IBM
 * Rational ClearCase
 * (C) Copyright IBM Corp. 1995, 2007. All Rights Reserved.
 * US Government Users Restricted Rights -
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corporation.
 */
/*
 * MFS sysgen parameters
 */

#include <sys/param.h>
#include <sys/statfs.h>
#include <sys/vfs.h>
#include <sys/proc.h>

/*
 * Major device number for the MFS 
 */

dev_t mvfs_major = 200;

/*
 * Size of a proc struct so MFS is rev-independent when
 * additions made to the end of a proc structure.
 */

int mvfs_size_procstruct = sizeof(struct proc);

/*
 * mvfs_maxnproc:		max number of processes mvfs can service
 */
int mvfs_maxnproc = 4096;

#include <sys/vnode.h>
#include <sys/user.h>

/*
 * MVFS_GET_UCDIR - get current dir of current process
 */

struct vnode *
mvfs_get_ucdir()
{
    return(U.U_cdir);
}

/*
 * MVFS_SET_UCDIR - set current dir of current process
 */

void
mvfs_set_ucdir(cdir)
struct vnode *cdir;
{
    U.U_cdir = cdir;
}

/*
 * MVFS_GET_URDIR - get root dir of current process
 */

struct vnode *
mvfs_get_urdir()
{
    return(U.U_rdir);
}

/*
 * MVFS_SET_URDIR - set root dir of current process
 */

void
mvfs_set_urdir(rdir)
struct vnode *rdir;
{
    U.U_rdir = rdir;
}

/*
 * MVFS_GET_UCOMM - get name of command of current process
 */

char *
mvfs_get_ucomm()
{
    return(U.U_comm);
}

/*
 * MVFS_GET_UCMASK - get current umask of current process
 */

int
mvfs_get_ucmask()
{
    return(U.U_cmask);
}
